Lintian ReportsBETA

Tag versions

Wmail-transport-agent-dependency-does-not-specify-default-mta

The tag is present in Lintian version 2.114.51. That is the most recent version we know about.

We use semantic versions. The patch number is a commit step indicator relative to the 2.108.0 release tag in our Git repository.

You can find the detection logic for this version at commit a1e47cb. For merge requests, please use the latest version in the Lintian check fields/package-relations.

Visibility: warning

This package has a relationship with the mail-transport-agent virtual package but does not specify the default-mta as an alternative.

default-mta and mail-transport-agent should only ever be in a set of alternatives together, with default-mta listed first.

Please add a "or" dependency on default-mta before mail-transport-agent.

The following 26 source packages in the archive triggered the tag 29 times (in any Lintian version).

We found 2 overrides. The tag performed 93% of the time.